local acroread=cond(c(os)=="Unix","acroread","AcroRd32")

local nomeictus "ictus"
local nomefrattura "frattura al femore"
use  "${dirarc}06_percorso_breve_ictus${anno}.dta",clear
label define asl_label 101 "Azienda USL 1 (Massa Carrara)" 102 "Azienda USL 2 (Lucca)" 103 "Azienda USL 3 (Pistoia)" 104 "Azienda USL 4 (Prato)" 105 "Azienda USL 5 (Pisa)" 106 "Azienda USL 6 (Livorno)" 107 "Azienda USL 7 (Siena)" 108 "Azienda USL 8 (Arezzo)" 109 "Azienda USL 9 (Grosseto)" 110 "Azienda USL 10 (Firenze)" 111 "Azienda USL 11 (Empoli)" 112 "Azienda USL 12 (Versilia)",modify
label values asl asl_label
tempname rel
file open `rel' using ${dirmain}main.tex,write replace
file write `rel' `"%File generato automaticamente da Stata"'_n
file write `rel' `"\documentclass{article}"'_n
file write `rel' `"\usepackage[all]{xypic}"'_n
file write `rel' `"%\usepackage{color}"'_n
file write `rel' `"\usepackage{mathptmx}"'_n
file write `rel' `"\usepackage{graphicx}"'_n
file write `rel' `"\usepackage{fancyhdr}"'_n
file write `rel' `"\pagestyle{fancy}"'_n
file write `rel' `"\renewcommand{\headrulewidth}{0pt}"'_n
file write `rel' `"\fancyhead{}"'_n
file write `rel' `"\fancyfoot{}"'_n
file write `rel' `"\fancyfoot[LE]{\thepage}"'_n
file write `rel' `"\fancyfoot[RO]{\thepage}"'_n
file write `rel' `"\usepackage[latin1]{inputenc}"'_n
file write `rel' `"\usepackage[italian]{babel}"'_n
file write `rel' `"\usepackage[paperheight=240mm, paperwidth=170mm,margin=2cm,centering]{geometry}"'  _n
file write `rel' `"\usepackage[format=hang,labelsep=period,font=bf,singlelinecheck=false]{caption}"'  _n
file write `rel' `"\newcommand{\diralb}{../${diralb}}"'_n	
file write `rel' `"\newcommand{\dirasl}{../${dirasl}}"'_n
file write `rel' `"\begin{document}"'_n
file write `rel' `"\setcounter{page}{100}"'_n
file write `rel' `"\setcounter{figure}{2}"'_n
foreach pat of global patologie{
	forvalues asl=100/100{
		local nomefile=cond(`asl'<101,"\diralb/albero_`pat'.pdf","\dirasl/albero_`asl'`pat'.pdf")
		local nometerritorio=cond(`asl'<101,"intera Toscana","")
		if `asl'>=101{
			local nometerritorio:label (asl) `asl'
			}
		file write `rel' `"\begin{figure}[!hb]\caption{Percorsi riabilitativi nei 6 mesi successivi alla dimissione e mortalit a 6 mesi per servizio riabilitativo al primo nodo ($\dagger$). Residenti nel territorio dell'`nometerritorio', ultra65enni, dimessi vivi dal reparto per acuti dal 1/7/02 al 30/6/03, con diagnosi principale di `nome`pat''.}"'_n
		file write `rel' `"\centering"'_n
		file write `rel' `"\begin{tabular}{|c|}"'_n
		file write `rel' `"\hline \\\ "'_n
		file write `rel' `"\includegraphics[width=.99\columnwidth]{`nomefile'} \\\ "'_n
		file write `rel' `"\hline"'_n
		file write `rel' `"\end{tabular}"'_n
		file write `rel' `"\end{figure}"'_n
		file write `rel' `"\clearpage"'_n
		}
	}
foreach pat of global patologie{
	forvalues asl=101/112{
		local nomefile=cond(`asl'<101,"\diralb/albero_`pat'.pdf","\dirasl/albero_`asl'`pat'.pdf")
		local nometerritorio=cond(`asl'<101,"intera Toscana","")
		if `asl'>=101{
			local nometerritorio:label (asl) `asl'
			}
		file write `rel' `"\begin{figure}[!hb]\caption{Percorsi riabilitativi nei 6 mesi successivi alla dimissione e mortalit a 6 mesi per servizio riabilitativo al primo nodo ($\dagger$). Residenti nel territorio dell'`nometerritorio', ultra65enni, dimessi vivi dal reparto per acuti dal 1/7/02 al 30/6/03, con diagnosi principale di `nome`pat''.}"'_n
		file write `rel' `"\centering"'_n
		file write `rel' `"\begin{tabular}{|c|}"'_n
		file write `rel' `"\hline \\\ "'_n
		file write `rel' `"\includegraphics[width=.99\columnwidth]{`nomefile'} \\\ "'_n
		file write `rel' `"\hline"'_n
		file write `rel' `"\end{tabular}"'_n
		file write `rel' `"\end{figure}"'_n
		file write `rel' `"\clearpage"'_n
		}
	}
file write `rel' `"\end{document}"'_n
file close `rel' 

cd ${dirmain}
! pdflatex main.tex

winexec `acroread' main.pdf


